html, body, .grid-container { height: 100%; margin: 0; }

.grid-container {
  display: grid;
  grid-template-columns: 204px 156px 240px;
  grid-template-rows: 30px 204px 366px;
  grid-template-areas: "Name Class Level" "profile-img Resource_Block Abilities" "Equipment Progression Features";
}

.Name { grid-area: Name; }

.Class { grid-area: Class; }

.Level {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Lvl EXP";
  grid-area: Level;
}

.Lvl {
grid-area: Lvl;
text-align left;
}

.EXP {
grid-area: EXP;
text-align right;
}

.profile-img { grid-area: profile-img;}

.Resource_Block {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Health Armor_Class" "System_Strain Available_Effort" "Committed_Effort Committed_Effort";
  grid-area: Resource_Block;
}

.Committed_Effort {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1.5fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Committed_Now_Title Committed_Scene_Title Committed_Day_Title" "Commited_Now_Value Committed_Scene_Value Committed_Day_Value";
  grid-area: Committed_Effort;
  text-align: center;
}

.Committed_Now_Title { grid-area: Committed_Now_Title; }

.Committed_Scene_Title { grid-area: Committed_Scene_Title; }

.Committed_Day_Title { grid-area: Committed_Day_Title; }

.Commited_Now_Value { grid-area: Commited_Now_Value; }

.Committed_Scene_Value { grid-area: Committed_Scene_Value; }

.Committed_Day_Value { grid-area: Committed_Day_Value; }

.Available_Effort {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Effort_Title Effort_Title" "Available_Effort_Value Effort_Cap_Value";
  grid-area: Available_Effort;
  text-align: center;
}

.Effort_Title { grid-area: Effort_Title; }

.Effort_Cap_Value { grid-area: Effort_Cap_Value; }

.Available_Effort_Value { grid-area: Available_Effort_Value; }

.System_Strain {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "System_Strain_Title System_Strain_Title" "System_Strain_Value System_Strain_Cap_value";
  grid-area: System_Strain;
  text-align: center;
}

.System_Strain_Title { grid-area: System_Strain_Title; }

.System_Strain_Cap_value { grid-area: System_Strain_Cap_value; }

.System_Strain_Value { grid-area: System_Strain_Value; }

.Armor_Class {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 0.5fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Armor_Class_Title" "Current_Armor_Class";
  grid-area: Armor_Class;
  text-align: center;
}

.Armor_Class_Title { grid-area: Armor_Class_Title; }

.Current_Armor_Class { grid-area: Current_Armor_Class; }

.Health {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 0.5fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Health_Title Health_Title" "Current_Health_Value Health_Cap_Value";
  grid-area: Health;
  text-align: center;
}

.Health_Title { grid-area: Health_Title; }

.Health_Cap_Value { grid-area: Health_Cap_Value; }

.Current_Health_Value { grid-area: Current_Health_Value; }

.Abilities {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1.5fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Ability_Scores" "Saving_Throws";
  grid-area: Abilities;
  text-align: center;
}

.Saving_Throws {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 0.5fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Physical_Title Mental_Title Evasion_Title" "Physical_Save_Value Mental_Save_Value Evasion_Save_Value";
  grid-area: Saving_Throws;
  text-align: center;
}

.Evasion_Title { grid-area: Evasion_Title; }

.Evasion_Save_Value { grid-area: Evasion_Save_Value; }

.Mental_Title { grid-area: Mental_Title; }

.Mental_Save_Value { grid-area: Mental_Save_Value; }

.Physical_Title { grid-area: Physical_Title; }

.Physical_Save_Value { grid-area: Physical_Save_Value; }

.Ability_Scores {
  display: grid;
  font-size: 1fr;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 0.5fr 1fr 0.5fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Str_Title Dex_Title Con_Title Int_Title Wis_Title Cha_Title" "Str_Value Dex_Value Con_Value Int_Value Wis_Value Cha_Value" "Str_Mod Dex_Mod Con_Mod Int_Mod Wis_Mod Cha_Mod";
  grid-area: Ability_Scores;
}

.Cha_Title { grid-area: Cha_Title; }

.Cha_Value { grid-area: Cha_Value; }

.Cha_Mod { grid-area: Cha_Mod; }

.Wis_Title { grid-area: Wis_Title; }

.Wis_Value { grid-area: Wis_Value; }

.Wis_Mod { grid-area: Wis_Mod; }

.Int_Title { grid-area: Int_Title; }

.Int_Value { grid-area: Int_Value; }

.Int_Mod { grid-area: Int_Mod; }

.Con_Title { grid-area: Con_Title; }

.Con_Value { grid-area: Con_Value; }

.Con_Mod { grid-area: Con_Mod; }

.Dex_Title { grid-area: Dex_Title; }

.Dex_Value { grid-area: Dex_Value; }

.Dex_Mod { grid-area: Dex_Mod; }

.Str_Title { grid-area: Str_Title; }

.Str_Value { grid-area: Str_Value; }

.Str_Mod { grid-area: Str_Mod; }

.Equipment {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 10% 40% 50%;
  gap: 0.1px 0.1px;
  grid-template-areas: "Encumbrance Encumbrance" "Readied_Equipment Readied_Equipment" "Stowed_Equipment Stowed_Equipment";
  grid-area: Equipment;
}

.Encumbrance {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 0.5fr 1fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Readied_Title Readied_Title Stowed_Title Stowed_Title" "Readied_Value Readied_Cap Stowed_Value Stowed_Cap";
  grid-area: Encumbrance;
}

.Stowed_Title { grid-area: Stowed_Title; }

.Readied_Title { grid-area: Readied_Title; }

.Readied_Value { grid-area: Readied_Value; }

.Readied_Cap { grid-area: Readied_Cap; }

.Stowed_Value { grid-area: Stowed_Value; }

.Stowed_Cap { grid-area: Stowed_Cap; }

.Readied_Equipment { grid-area: Readied_Equipment; }

.Stowed_Equipment { grid-area: Stowed_Equipment; }

.Features {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr 1fr 0.5fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Foci" "Psionics" "Cyberware" "Credits";
  grid-area: Features;
}

.Credits { grid-area: Credits; }

.Foci { grid-area: Foci; }

.Psionics { grid-area: Psionics; }

.Cyberware { grid-area: Cyberware; }

.Progression {
  display: grid;
  grid-template-columns: 4fr 1fr 4fr 1fr;
  grid-template-rows: 3fr 7fr;
  gap: 0.1px 0.1px;
  grid-template-areas: "Level_Points Level_Points Level_Points Level_Points" "Skills Skills Skills Skills";
  grid-area: Progression;
}

.Level_Points { grid-area: Level_Points; }

.Skills { grid-area: Skills; }

/* For presentation only, no need to copy the code below */
/*.grid-container * { 
 border: 0.5px solid red;
 position: relative;
}

/*.grid-container *:after { 
 content:attr(class);
 position: absolute;
 top: 0;
 left: 0;
}

